Bug 76474 - print/auctex: New version 11.54 is released
Summary: print/auctex: New version 11.54 is released
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-19 21:40 UTC by Yasuhiro KIMURA
Modified: 2005-02-06 16:42 UTC (History)
0 users

See Also:


Attachments
patch-auctex (6.31 KB, text/plain)
2005-01-19 21:40 UTC, Yasuhiro KIMURA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2005-01-19 21:40:23 UTC
	- New version 11.54 is released
	- Change URL in pkg-descr
Comment 1 Hiroki Sato freebsd_committer 2005-01-20 05:34:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

I'll handle this.
Comment 2 Yasuhiro KIMURA 2005-02-06 16:17:10 UTC
Yet another new version 11.55 is released. So please use following
patch instead of original one.

Index: print/auctex/Makefile
===================================================================
RCS file: /net/cvsup/cvsroot/ports/print/auctex/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- print/auctex/Makefile	30 Aug 2004 01:36:19 -0000	1.21
+++ print/auctex/Makefile	6 Feb 2005 15:47:38 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=		auctex
-PORTVERSION=		11.53
+PORTVERSION=		11.55
 PORTREVISION=		0
 CATEGORIES=		print elisp
 MASTER_SITES=		${MASTER_SITE_GNU}
Index: print/auctex/distinfo
===================================================================
RCS file: /net/cvsup/cvsroot/ports/print/auctex/distinfo,v
retrieving revision 1.9
diff -u -r1.9 distinfo
--- print/auctex/distinfo	30 Aug 2004 01:36:19 -0000	1.9
+++ print/auctex/distinfo	6 Feb 2005 15:47:56 -0000
@@ -1,2 +1,2 @@
-MD5 (auctex-11.53.tar.gz) = 938ba7debc040c6bdb6d891706d17dcc
-SIZE (auctex-11.53.tar.gz) = 464368
+MD5 (auctex-11.55.tar.gz) = f22ae1ecc513d14b3b5ce3076f461395
+SIZE (auctex-11.55.tar.gz) = 536057
Index: print/auctex/pkg-descr
===================================================================
RCS file: /net/cvsup/cvsroot/ports/print/auctex/pkg-descr,v
retrieving revision 1.4
diff -u -r1.4 pkg-descr
--- print/auctex/pkg-descr	10 Apr 2004 17:11:01 -0000	1.4
+++ print/auctex/pkg-descr	19 Jan 2005 21:01:33 -0000
@@ -18,4 +18,4 @@
 a key click away!  AUC TeX is written entirely in Emacs-Lisp, and hence
 you can easily add new features for your own needs.
 
-WWW: http://www.nongnu.org/auctex/
+WWW: http://www.gnu.org/software/auctex/
Index: print/auctex/pkg-plist
===================================================================
RCS file: /net/cvsup/cvsroot/ports/print/auctex/pkg-plist,v
retrieving revision 1.9
diff -u -r1.9 pkg-plist
--- print/auctex/pkg-plist	21 Aug 2004 07:39:59 -0000	1.9
+++ print/auctex/pkg-plist	6 Feb 2005 15:50:33 -0000
@@ -16,6 +16,8 @@
 %%LISPDIR%%/auctex/bib-cite.el
 %%LISPDIR%%/auctex/tex-fptex.el
 %%LISPDIR%%/auctex/tex-jp.el
+%%LISPDIR%%/auctex/tex-bar.el
+%%LISPDIR%%/auctex/toolbar-x.el
 %%LISPDIR%%/auctex/auto/.nosearch
 %%LISPDIR%%/auctex/style/.nosearch
 %%LISPDIR%%/auctex/style/prosper.el
@@ -86,6 +88,12 @@
 %%LISPDIR%%/auctex/style/ltx-base.el
 %%LISPDIR%%/auctex/style/units.el
 %%LISPDIR%%/auctex/style/nicefrac.el
+%%LISPDIR%%/auctex/style/csquotes.el
+%%LISPDIR%%/auctex/style/jurabib.el
+%%LISPDIR%%/auctex/style/listings.el
+%%LISPDIR%%/auctex/style/url.el
+%%LISPDIR%%/auctex/style/jsarticle.el
+%%LISPDIR%%/auctex/style/jsbook.el
 %%LISPDIR%%/auctex/style/prosper.elc
 %%LISPDIR%%/auctex/style/slides.elc
 %%LISPDIR%%/auctex/style/foils.elc
@@ -154,6 +162,12 @@
 %%LISPDIR%%/auctex/style/ltx-base.elc
 %%LISPDIR%%/auctex/style/units.elc
 %%LISPDIR%%/auctex/style/nicefrac.elc
+%%LISPDIR%%/auctex/style/csquotes.elc
+%%LISPDIR%%/auctex/style/jurabib.elc
+%%LISPDIR%%/auctex/style/listings.elc
+%%LISPDIR%%/auctex/style/url.elc
+%%LISPDIR%%/auctex/style/jsarticle.elc
+%%LISPDIR%%/auctex/style/jsbook.elc
 %%LISPDIR%%/auctex/tex.elc
 %%LISPDIR%%/auctex/tex-buf.elc
 %%LISPDIR%%/auctex/latex.elc
@@ -170,6 +184,36 @@
 %%LISPDIR%%/auctex/bib-cite.elc
 %%LISPDIR%%/auctex/tex-fptex.elc
 %%LISPDIR%%/auctex/tex-jp.elc
+%%LISPDIR%%/auctex/tex-bar.elc
+%%LISPDIR%%/auctex/toolbar-x.elc
+%%LISPDIR%%/auctex/images/amstex.xpm
+%%LISPDIR%%/auctex/images/bibtex.xpm
+%%LISPDIR%%/auctex/images/dropdown.xpm
+%%LISPDIR%%/auctex/images/dvipdf.xpm
+%%LISPDIR%%/auctex/images/dvips.xpm
+%%LISPDIR%%/auctex/images/error.xpm
+%%LISPDIR%%/auctex/images/exec.xpm
+%%LISPDIR%%/auctex/images/execbibtex.xpm
+%%LISPDIR%%/auctex/images/execdvips.xpm
+%%LISPDIR%%/auctex/images/execerror.xpm
+%%LISPDIR%%/auctex/images/execpdftex.xpm
+%%LISPDIR%%/auctex/images/exectex.xpm
+%%LISPDIR%%/auctex/images/execviewdvi.xpm
+%%LISPDIR%%/auctex/images/execviewpdf.xpm
+%%LISPDIR%%/auctex/images/execviewps.xpm
+%%LISPDIR%%/auctex/images/gv.xpm
+%%LISPDIR%%/auctex/images/jumpdvi.xpm
+%%LISPDIR%%/auctex/images/ltx-symb-turn-off.xpm
+%%LISPDIR%%/auctex/images/ltx-symb-turn-on.xpm
+%%LISPDIR%%/auctex/images/pdftex.xpm
+%%LISPDIR%%/auctex/images/pspdf.xpm
+%%LISPDIR%%/auctex/images/sep.xpm
+%%LISPDIR%%/auctex/images/tex.xpm
+%%LISPDIR%%/auctex/images/view.xpm
+%%LISPDIR%%/auctex/images/viewdvi.xpm
+%%LISPDIR%%/auctex/images/viewpdf.xpm
+%%LISPDIR%%/auctex/images/viewps.xpm
 @dirrm %%LISPDIR%%/auctex/style
 @dirrm %%LISPDIR%%/auctex/auto
+@dirrm %%LISPDIR%%/auctex/images
 @dirrm %%LISPDIR%%/auctex
Index: print/auctex/files/patch-doc::Makefile.in
===================================================================
RCS file: print/auctex/files/patch-doc::Makefile.in
diff -N print/auctex/files/patch-doc::Makefile.in
--- print/auctex/files/patch-doc::Makefile.in	21 Aug 2004 07:55:52 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,50 +0,0 @@
---- doc/Makefile.in.orig	Fri Aug 20 11:22:59 2004
-+++ doc/Makefile.in	Sat Aug 21 16:51:04 2004
-@@ -18,9 +18,9 @@
- TEXIFILES = auctex.texi install.texi wininstall.texi intro.texi \
- 	changes.texi todo.texi faq.texi
- 
--all: auctex.dvi tex-ref.dvi auctex
-+all: auctex.dvi tex-ref.dvi auctex.info
- 
--dist: auctex INSTALL INSTALL.windows README CHANGES TODO FAQ \
-+dist: auctex.info INSTALL INSTALL.windows README CHANGES TODO FAQ \
- 	auctex_toc.html auctex.ps auctex.pdf tex-ref.ps tex-ref.pdf
- 
- auctex_toc.html: auctex.texi
-@@ -48,8 +48,8 @@
- auctex.ps: auctex.dvi
- 	$(DVIPS) auctex.dvi -Ppdf -o auctex.ps
- 
--auctex: $(TEXIFILES)
--	-$(MAKEINFO) auctex.texi
-+auctex.info: $(TEXIFILES)
-+	-$(MAKEINFO) --no-split --output auctex.info auctex.texi
- 	@echo "**********************************************************"
- 	@echo "** If this gave trouble, maybe you need to install"
- 	@echo "** a newer version of texinfo?"
-@@ -83,20 +83,20 @@
- 	-$(MAKEINFO) -D rawfile --no-headers --no-validate \
- 		faq.texi --output FAQ
- 
--install: auctex
-+install: auctex.info
- 	-$(MKINSTALLDIRS) $(DESTDIR)$(infodir)
--	$(INSTALL_DATA) auctex $(DESTDIR)$(infodir)
-+	$(INSTALL_DATA) auctex.info $(DESTDIR)$(infodir)
- 	for x in auctex-*; do \
- 	  if [ -r $$x ]; then \
- 	    $(INSTALL_DATA) $$x $(DESTDIR)$(infodir) ; \
- 	  fi; \
- 	done
--	-$(INSTALL_INFO)  --info-dir=$(DESTDIR)$(infodir) auctex
-+	-$(INSTALL_INFO) $(DESTDIR)$(infodir)/auctex.info $(DESTDIR)$(infodir)/dir
- 
- clean:
- 	rm -f *.dvi *.ps *.pdf *.aux *.cp *.fn *.info *.ky *.log *~ \#*\# \
- 		*.tp *.vr *.pg *.toc *.tp *.bak *.cps *.kys *.tps \
--		*.fns *.vrs *.pgs *.tmp auctex auctex-* *.html INSTALL \
-+		*.fns *.vrs *.pgs *.tmp auctex.info auctex-* *.html INSTALL \
- 		INSTALL.windows README CHANGES HISTORY TODO FAQ
- 
- distclean: clean
Comment 3 Hiroki Sato freebsd_committer 2005-02-06 16:41:07 UTC
State Changed
From-To: open->closed

Sorry for the dela but your patch is committed. 
Thank you for the submission!